
Image Component Library - Feature #79

Reactivate gtest-based tests

2012-08-19 14:04 - Christof Elbrechter

Status: Closed Start date: 2012-08-19

Priority: Low Due date:  

Assignee: Michael Götting % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: icl-8.1   

Description

find a way to integrate libgtest (either by linking or by including the code)

move test-applications to test folder (rewrite them as automated gtest apps)

Subtasks:

Feature # 80: Create complex TEST applications that test several features at once Closed

History

#1 - 2012-08-29 11:42 - Christof Elbrechter

new Idea: we'll just integrate the sources of a current version of the libgtest into our source tree.

By now, we dont need an automated CMake-driven update mechanism for this

If our included GTEST library becomes too old, we can just replace it with a newer one manually

By theses means, we avoid having to download gtest-tarballs with every build or something

#2 - 2012-08-29 11:43 - Christof Elbrechter

- Assignee set to Michael Götting

#3 - 2013-02-14 11:26 - Michael Götting

- Target version changed from icl-8.0 to icl-8.1

#4 - 2017-11-22 22:15 - Alexander Neumann

- Status changed from New to Closed

Powered by TCPDF (www.tcpdf.org)

2024-05-03 1/1

http://www.tcpdf.org

